# classes/phing/filters/IconvFilter.php

## \IconvFilter
jump to top

Encode data from <code>in</code> encoding to <code>out</code> encoding.

Example:

Or:

Extends from
  \BaseParamFilterReader
Implements
  \ChainableReader
author
  Alexey Shockov,
copyright
  © 2003 seasonfive. All rights reserved
package
  phing.filters
version
  $Revision: 868 $

### Properties

`$_inputEncoding= ''`
Details

Type

`$_outputEncoding= ''`
Details

Type

### Methods

`_initialize( ) :`
Configuring object from the parameters list.
`chain( object $reader ) : object`
Creates a new IconvFilter using the passed in Reader for instantiation.
Parameters

Name | Type | Description
--- | --- | ---
$reader | object | A Reader object providing the underlying stream. Must not be `null`.

Returns

Type | Description
--- | ---
object |

`getInputEncoding( ) : string`
Returns

Type | Description
--- | ---
string |

`getOutputEncoding( ) : string`
Returns

Type | Description
--- | ---
string |

`read( $len = null ) : \the`
Returns first n lines of stream.
Parameters

Name | Type | Description
--- | --- | ---
$len |  |

Returns

Type | Description
--- | ---
\the |

Details

exception
  IOException if the underlying stream throws an IOException during reading

`setInputEncoding( string $encoding ) :`
Parameters

Name | Type | Description
--- | --- | ---
$encoding | string | Input encoding.

`setOutputEncoding( string $encoding ) :`
Parameters

Name | Type | Description
--- | --- | ---
$encoding | string | Output encoding.

Documentation was generated by DocBlox 0.13.1.